Uploaded image for project: 'Moodle app'
  1. Moodle app
  2. MOBILE-2597

Fix vulnerabilities in project dependencies

    XMLWordPrintable

Details

    • Improvement
    • Status: Closed
    • Minor
    • Resolution: Fixed
    • 3.5.2
    • 3.6.0
    • Libraries
    • Hide
      1. Checkout the current branch.
      2. Run the following commands:
        npm install -g ionic gulp-cli
        npm install
      3. Delete the folders electron-builder-squirrel-windows and electron-windows-notifications inside node_modules.
      4. Run "ionic serve". Check that the process finishes successfully and you can execute the app in the browser.
      5. Run "npm audit". Check that all the vulnerabilities are related to cordova-android and cordova-ios
      Show
      Checkout the current branch. Run the following commands: npm install -g ionic gulp-cli npm install Delete the folders  electron-builder-squirrel-windows and  electron-windows-notifications inside node_modules . Run "ionic serve". Check that the process finishes successfully and you can execute the app in the browser. Run "npm audit". Check that all the vulnerabilities are related to cordova-android and cordova-ios
    • MOODLE_35_STABLE
    • MOODLE_36_STABLE
    • Moodle Mobile 3.6.0

    Description

      Right now we have several vulnerabilities in the project dependencies (package.json). We should try to fix them.

      Attachments

        Activity

          People

            dpalou Dani Palou
            dpalou Dani Palou
            Pau Ferrer Pau Ferrer
            Juan Leyva Juan Leyva
            Juan Leyva Juan Leyva
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:
              11/Jan/19